### Function

# Aravis debug_enable

since: 0.8.8

#### Declaration [src]

    gboolean
    arv_debug_enable (
      const char* category_selection
    )

#### Description [src]

Configures the debug output using a configuration string consisting of a comma separated list of debug categories or category/debug level pair.

This function overwrites the configuration done by `ARV_DEBUG` environment variable. For example, enabling debug level 3 of the gvcp category and default debug level of category genicam is done using:

    arv_debug_enable ("gvcp:3,genicam");

Available since: 0.8.8

#### Parameters

`category_selection`

  Type: `const char*`

  Debug category configuration string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` on success.